Module jdk.compiler
Package com.sun.source.tree

## Interface LiteralTree

All Superinterfaces:
  ExpressionTree, Tree

    public interface LiteralTree
    extends ExpressionTree

A tree node for a literal expression. Use `getKind` to determine the kind of literal. For example:

       value

Since:
  1.6
See The Java™ Language Specification:
  section 15.28

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `getValue()` Returns the value of the literal expression.

### Methods inherited from interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getValue

    Object getValue()

Returns the value of the literal expression. The value will be a boxed primitive value, a String, or `null`.

Returns:
  the value